<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.db.Logger" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="com.censoft.db.DBUtil" %>
<%@ page import="java.sql.DatabaseMetaData" %>
<%@ page import="java.sql.Statement" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="java.util.*" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list;
    String action = pub.trimNull(request.getParameter("action"));
    String dept_id = pub.trimNull(request.getParameter("dept_id"));

    String treeType = pub.trimNull(request.getParameter("treeType"));
    String input_count = pub.trimNull(request.getParameter("input_count"));
    if("".equals(input_count)){
        input_count="1";
    }
    int inputSize=Integer.parseInt(input_count);
    int listSize=1;
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        conn.setAutoCommit(false);
        if ("add".equals(action)) {
            int seg_order = 0;
            String add_user = (String) session.getAttribute("session_login_id");
            String add_time = pub.getCurrentServerTime();
            boolean is_up = cf.executeUpdate(conn, "delete from  tp_segment  where dept_id =? "
                    , new Object[]{dept_id});
            if (!is_up) {
                out.println("删除失败" + cf.getMsg());
                conn.rollback();
                return;
            }
            for (int i = 0; i < inputSize; i++) {
                seg_order = i+1;
                String seg = pub.trimNull(request.getParameter("seg_"+seg_order));
                String seg_end = pub.trimNull(request.getParameter("seg_end_"+seg_order));
                dept_id=UUID.randomUUID().toString().trim().replaceAll("-", "");
                if(!"".equals(seg)&&!"".equals(seg)){
                    int seg_b=Integer.parseInt(seg);
                    int seg_e=Integer.parseInt(seg_end);
                    is_up = cf.executeUpdate(conn, "insert into tp_segment(dept_id,seg,seg_end,seg_order,add_user,add_time,status) values (?,?,?,?,?,?,?)"
                            , new Object[]{dept_id,seg_b,seg_e,seg_order,add_user,add_time,"1"});
                    if (!is_up) {
                        out.println("error" + cf.getMsg());
                        conn.rollback();
                        return;
                    }
                    is_up = cf.executeUpdate(conn, "update tp_phone_info set status='4' where phone >=? and phone <=?"
                            , new Object[]{seg_b,seg_e});
                    if (!is_up) {
                        out.println("error" + cf.getMsg());
                        conn.rollback();
                        return;
                    }
                }
            }
            Logger.log(conn,"号码段管理", "添加", dept_id, "", request);
            out.println("success");
            conn.commit();
            conn.setAutoCommit(true);
            return;
        }
        v_list = cf.doQuery(conn, "select distinct seg,seg_end,seg_order  from tp_segment   where status='1' and dept_id=? order by seg_order", null, new Object[]{dept_id});
        action = "add";
        if(v_list!=null && v_list.size()>0){
            listSize=v_list.size();
        }
    } catch (Exception e) {
        try {
            if(conn != null){
                conn.rollback();
            }

        } catch (SQLException e1) {
            e1.printStackTrace();
        }
        System.out.println("查询机构信息异常" + e);
        return;
    } finally {

        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
<div class="panel-header">
    号段信息
</div>
<div style="height:120%;overflow-y: auto ;overflow-x: hidden">
    <a class="btn btn-success radius " style="float: right;position: absolute;right:20px;top:50px" onclick="saveForm();">保存</a>
    <form class="form form-horizontal" id="form-admin-add">
        <input type="hidden" name="dept_id" value="<%=dept_id%>"/>
        <input type="hidden" name="action" value="<%=action%>"/>
        <input type="hidden" name="treeType" value="<%=treeType%>"/>
        <input type="hidden" id="input_count" name="input_count" value="<%=listSize%>"/>
        <%
            Hashtable ht = new Hashtable();
            if(v_list != null && v_list.size() > 0){
                for (int i = 0; i < v_list.size(); i++) {
                    ht = (Hashtable) v_list.get(i);
        %>
        <div class="row cl" id="div_<%=i+1%>">
            <label class="form-label col-xs-3">号段<%=i+1%>：</label>
            <div class="formControls col-xs-5">
                <input type="text" style="width:30%;" class="input-text" maxlength="8" onBlur="checkNum('<%=i+1%>');" value="<%=pub.trimNull((String)ht.get("seg"))%>" placeholder="" id = "seg_<%=pub.trimNull((String)ht.get("seg_order"))%>" name="seg_<%=pub.trimNull((String)ht.get("seg_order"))%>" >
                &nbsp;至&nbsp;
                <input type="text" style="width:30%;" class="input-text" maxlength="8" onBlur="checkNum('<%=i+1%>');" value="<%=pub.trimNull((String)ht.get("seg_end"))%>" placeholder="" id = "seg_end_<%=pub.trimNull((String)ht.get("seg_order"))%>" name="seg_end_<%=pub.trimNull((String)ht.get("seg_order"))%>" >
            </div>
            <%
                if(i==0){
            %>
            <a href="javascript:void (0);" onclick="addDiv('<%=treeType%>');" style="font-size: 25px;">+</a>
            <%}else{%>
            <a href="javascript:void (0);" onclick="deleteDiv('<%=i+1%>','<%=pub.trimNull((String)ht.get("seg"))%>','<%=pub.trimNull((String)ht.get("seg_end"))%>');" style="font-size: 25px;">-</a>
            <%}
            %>
        </div>
        <%
            }
        }else{
        %>
        <div class="row cl" id="div_1">
            <label class="form-label col-xs-3">号段1：</label>
            <div class="formControls col-xs-5">
                <input type="text" style="width:30%;" class="input-text" value="" placeholder="" maxlength="8" onBlur="checkNum('1');" id = "seg_1" name="seg_1" >
                &nbsp;至&nbsp;
                <input type="text" style="width:30%;" class="input-text" value="" placeholder="" maxlength="8" onBlur="checkNum('1');" id = "seg_end_1" name="seg_end_1" >
            </div>
            <a href="javascript:void (0);" onclick="addDiv('<%=treeType%>');" style="font-size: 25px;">+</a>
        </div>
        <%
            }
        %>
    </form>
</div>
<script>
    var  count;
    var size='<%=v_list.size()%>';
    if(size==0){
        count=1;
    }else{
        count=parseInt(size);
    }
    function checkNum(id) {
        var p1=$("#seg_"+id).val();
        var p2=$("#seg_end_"+id).val();
        if(p1!='' && p2!='' &&p1 != undefined && p2 != undefined) {
            if(!p1.match(/\d{8}$/)||!p2.match(/\d{8}$/)) {
                layer.msg("请输入8位数字！", {
                    icon: 5,
                    time: 2000
                })
                return false;
            }
            if(p2<p1){
                layer.msg("请输入大于等于前面的数字！", {
                    icon: 5,
                    time: 2000
                })
                return false;
            }
        }
    }
    function addDiv(treeType){
			var name_count=parseInt($("#input_count").val());
            $("#form-admin-add").append("<div class=\"row cl\" name=\""+(count+1)+"\" id=\"div_"+(count+1)+"\">\n" +
                "                <label class=\"form-label col-xs-3\" >号段"+(name_count+1)+"：</label>\n" +
                "                <div class=\"formControls col-xs-5\">\n" +
                "                    <input type=\"text\" style=\"width:30%;\" maxlength=\"8\" onBlur=\"checkNum("+(name_count+1)+");\" class=\"input-text\" value=\"\" placeholder=\"\" id = \"seg_"+(name_count+1)+"\" name=\"seg_"+(name_count+1)+"\" >\n" +
                "                    &nbsp;至&nbsp;\n" +
                "                    <input type=\"text\" style=\"width:30%;\" maxlength=\"8\" onBlur=\"checkNum("+(name_count+1)+");\" class=\"input-text\" value=\"\" placeholder=\"\" id = \"seg_end_"+(name_count+1)+"\" name=\"seg_end_"+(name_count+1)+"\" >\n" +
                "                </div>\n" +
                "                  <a href=\"javascript:void (0);\" onclick=\"deleteDiv("+(name_count+1)+",'','');\" style=\"font-size: 25px;\">-</a>"+
                "            </div>");
        count++;
        //var obj=document.getElementsByClassName("row cl").length;
		var obj=$(".row").length;
        $("#input_count").val(obj);
    }
    function deleteDiv(div_id,seg,seg_end){
        if(seg!=''){
            $.ajax({
                type: "POST",
                url: "./seg_check.jsp",
                data:{"seg":seg,"seg_end":seg_end},
                success: function (msg) {
                    if (msg.indexOf("success") >= 0) {
                        $("#div_"+div_id).remove();
						alert(11111)
                        $('.row').each(function(index,element){
                            if(index!=0){
                                index=index+1;
                                $(this).children(":first").html("号段"+index+"：");
                                var div_index=$(this).attr("name");
                                $("#seg_"+div_index).attr("name","seg_"+index);
                                $("seg_"+index).removeAttr('onBlur');
                                $("seg_"+index).attr('onBlur',checkNum(index));
                                $("#seg_end_"+div_index).attr("name","seg_end_"+index);
                                $("seg_end_"+index).removeAttr('onBlur');
                                $("seg_end_"+index).attr('onBlur',checkNum(index));
                            }
                        });
                        //var obj=document.getElementsByClassName("row cl").length;
						var obj=$(".row").length;
                        $("#input_count").val(obj);
                    } else {
                        layer.msg(msg, {
                            icon: 5,
                            time: 2000
                        }, function () {

                        });
                    }
                }
            });
        }else {
            $("#div_"+div_id).remove();
            $('.row').each(function(index,element){
                if(index!=0){
                    index=index+1;
                    $(this).children(":first").html("号段"+index+"：");
                    var div_index=$(this).attr("name");
                    $("#seg_"+div_index).attr("name","seg_"+index);
                    $("seg_"+index).removeAttr('onBlur');
                    $("seg_"+index).attr('onBlur',checkNum(index));
                    $("#seg_end_"+div_index).attr("name","seg_end_"+index);
                    $("seg_end_"+index).removeAttr('onBlur');
                    $("seg_end_"+index).attr('onBlur',checkNum(index));
                }
            });
            //var obj=document.getElementsByClassName("row cl").length;
			var obj=$(".row").length;
            $("#input_count").val(obj);
        }
    }
    function saveForm() {
        var input_count = $("#input_count").val();
        for(var i=1;i<input_count.length;i++){
            checkNum(i);
        }
        var flag = checkRepeat();
        if(flag === "success"){
            $.ajax({
                type: "POST",
                url: "./seg_check.jsp",
                data: $('#form-admin-add').serialize(),
                success: function (msg) {

                    if (msg.indexOf("success") >= 0) {
                        saveSeg();
                    } else {
                        layer.msg(msg, {
                            icon: 5,
                            time: 2000
                        }, function () {

                        });
                    }
                }
            });
        }else{
            layer.msg(flag, {
                icon: 5,
                time: 2000
            }, function () {

            });
        }


    }

    function checkRepeat(){
        var inputSize=$("#input_count").val();
        var seg = ",";
        for(var i = 0 ; i < inputSize ; i++){
            var seg1 = $("#seg_"+(i+1)).val();
            if(seg1 != null && seg1 !== ""){
                //console.log(isNumber(seg1));
                if(!isNumber(seg1)){
                    return "号码段必须为数字";
                }
                if(seg.indexOf(","+seg1+",") >= 0){
                    return "输入的号码段有重复";
                }else{
                    seg = seg + seg1 + ",";
                }
            }


        }
        if(seg === ","){
            return "输入的号码段为空";
        }
        return "success";
    }
    function isNumber(value){
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
            return false
        } else {
            return true
        }

    }
    function saveSeg(){
        $.ajax({
            type: "POST",
            url: "./seg_add-t.jsp",
            data: $('#form-admin-add').serialize(),
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            parent.searchModel();
                            var index = parent.layer.getFrameIndex(window.name);
                            parent.layer.close(index);
                            //window.location.reload();
                            //parent.location.reload();
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                        // console.log("********************8")
                    });
                }
            }
        });
    }
</script>