<%@ page contentType="text/html;charset=UTF-8" %>

<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css" type="text/css">
<link rel="stylesheet" href="<%=request.getContextPath()%>/css/pagination.css">
<div class="page-container">
    <div class="content" >
        <div style="width:3%;height:500px;float:left;margin-right:20px;">
            <div class="btn-primary radius " id="button1" onclick="javascript:getRightInfo('seg');"  style="font-size:18px;text-align:center;height:140px;width:90%;background-color: #0A6999;margin:20px 10px;cursor: pointer;">号段预占</div>
            <div class="btn-primary radius " id="button2" onclick="javascript:getRightInfo('phone');"  style="font-size:18px;text-align:center;height:140px;width:90%;margin:20px 10px;cursor: pointer;">号码预占</div>
        </div>
        <div class="search-form" style="width:94%;float:left;">
            <form  method="post" id="data_form_search" name="data_form_search">
                <input type="hidden" name="page_number" id="page_number" value="1"/>
                <input type="hidden" name="dept_id" id="dept_id" value=""/>
                <input type="hidden" name="page_size" id="page_size" value="10"/>
                <input type="hidden" name="div_type" id="div_type" value=""/>
                <div class="text-l" id="div_1" style="">
                    <table class="search-table " style="margin-left: 20%;">
                        <tr class="">
                            <td class="search-label" >
                                号段：
                            </td>
                            <td class="search-input" style="width: 380px;font-size: 16px;">
                                <input placeholder="输入号段" type="text" name="seg" style="width:45%;" class="input-text" />
                                &nbsp;至&nbsp;
                                <input placeholder="输入号段" type="text" name="seg_end" style="width:45%;" class="input-text" />
                            </td>
                            <td colspan="2">
                                <a class="btn btn-primary radius"  onclick="searchUserModel();" style="margin-left:19%;">
                                    查询
                                </a>
                                <a class="btn btn-info radius" onclick="chongzhi();" style="margin-left:5px;">
                                    重置
                                </a>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="text-l" id="div_2" style="display: none;">
                    <table class="search-table " style="margin-left: 0%;">
                        <tr class="">
                            <td class="search-label" >
                                号码信息：
                            </td>
                            <td class="search-input" >
                                <input placeholder="输入号码信息" type="text" name="phone" class="input-text" />
                            </td>
                            <td class="search-label">
                                尾号：
                            </td>
                            <td class="search-input">
                                <input placeholder="输入尾号" type="text" name="end_num" class="input-text" />
                            </td>
                            <td class="search-label">
                                状态：
                            </td>
                            <td class="search-input" >
                                <select class="input-text" name="status" >
                                    <option value="">请选择</option>
                                    <option value="4">禁用</option>
                                    <option value="0">启用</option>
                                </select>
                            </td>
                            <td class="search-label">
                                尾号规则:
                            </td>
                            <td class="search-input">
                                <select class="input-text" name="end_num_rule" id="end_num_rule">
                                    <option value="">请选择</option>
                                    <option value="AAAA">AAAA</option>
                                    <option value="ABCD">ABCD</option>
                                    <option value="ABBB">ABBB</option>
                                    <option value="AAAB">AAAB</option>
                                    <option value="AABB">AABB</option>
                                    <option value="ABAB">ABAB</option>
                                </select>
                            </td>
                            <td  style="width:180px;">
                                <a class="btn btn-primary radius"  onclick="searchUserModel();" style="margin-left:19%;">
                                    查询
                                </a>
                                <a class="btn btn-info radius" onclick="chongzhi();" style="margin-left:5px;">
                                    重置
                                </a>
                            </td>
                        </tr>
                    </table>
                </div>

            </form>
        </div>
        <div style="height:10px;background-color: #d9e4f6">

        </div>
        <div class="datalist " id="datalist">

        </div>
    </div>
</div>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery.pagination.js"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">
    function getRightInfo(type) {
        if(type=='seg'){
            document.getElementById("button1").style.backgroundColor="#0A6999";
            document.getElementById("button2").style.backgroundColor="#5A98DE";
            document.getElementById("div_1").style.display="";
            document.getElementById("div_2").style.display="none";
        }else{
            document.getElementById("button2").style.backgroundColor="#0A6999";
            document.getElementById("button1").style.backgroundColor="#5A98DE";
            document.getElementById("div_1").style.display="none";
            document.getElementById("div_2").style.display="";
        }
        $("#div_type").val(type);
        searchModel();
    }
    function searchModel() {
        var div_type=$("#div_type").val();
        var url;
        if(div_type=='phone'){
            url="phone_list_ajax.jsp";
        }else{
            url="seg_list_ajax.jsp";
        }
        $.ajax({
            type: "post",
            url: url,
            data: $('#data_form_search').serialize(),
            success: function (msg) {
                //data_form_search.reset();
                $("#datalist").html(msg);
            }
        });
    }


    function searchUserModel() {
        $("#page_number").val("1");
        searchModel();
    }


    $(function(){
        searchModel();
    });

    function chongzhi(){

        $("#page_size").val("10");
        data_form_search.reset();
        searchUserModel();
    }


    /*用户-编辑*/
    function addSeg(title, url) {
        layer_show(title, url, "800", "500");
    }
    function edit_seg(dept_id){
        layer_show('修改号段','./seg_add-t.jsp?dept_id='+dept_id, "800", "500");
    }
    function fenpei(dept_id,seg_b,seg_e) {
        telSegment('分配号段','./seg_assign-t.jsp?dept_id='+dept_id+"&seg_b="+seg_b+"&seg_e="+seg_e);
    }
    function telSegment(title, url) {
        var abc = layer.open({
            title: title,
            type: 2,
            content: url,
            maxmin: true
        });
        layer.full(abc);
    }
    function updateById(id){
        layer_show("编辑", "./seg_add-t.jsp?update_id="+id, "800", "500");
    }
    function updateStatus(status) {
        var isChecked=false;
        var us = document.getElementsByName("phone_view");
        for(var i=0;i<us.length;i++){
            if(us[i].checked){
                isChecked = true;
            }
        }
        if(!isChecked){
            layer.alert("请勾选号码",{icon:5,title:"提示"});
            return false;
        }
        $.ajax({
            type: "POST",
            url: "./action.jsp?status="+status,
            data: $('#phone_list').serialize(),
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    var user_id=msg.substring(msg.indexOf(",")+1,msg.length);
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            searchModel();
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                        // console.log("********************8")
                    });
                }
            }
        });
    }
    function controlStatus(id,status) {
        $.ajax({
            type: "post",
            url: "./action.jsp",
            data: {"id":id,"status":status},
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            searchModel();
                        });
                } else {
                    layer.msg('操作失败'+msg, {
                        icon: 5,
                        time: 10000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                    });
                }
            },error: function (msg) {
                alert("失败"+msg)
            }
        });
    }

</script>